<template>
  <div>
    <h1>{{ titulo }}</h1>
    <input type="text" placeholder="mensaje" v-model="mensaje" />
    <br>
    <span>{{mensaje}}</span>
    <br>
    <input type="number" placeholder="numero 1" v-model="numero_1" />
    <br />
    <br />
    <input type="number" placeholder="numero 2" v-model="numero_2" />
    <br />
    <br />
    <button @click="sumar(numero_1, numero_2)">Sumar</button>
    <button @click="multiplicar">Multiplicar</button>
    <button @click="dividir">Dividir</button>
    <button @click="restar">Restar</button>
    <button @click="seno">Sin(numero_1)</button>
    <button @click="getRandom">Generar numeros</button>
    <br>
    <br>
    <span>Resultado: {{resultado}}</span>
  </div>
</template>

<script>
export default {
  //data: contiene todas las variables "globales" del componente
  data: () => {
    return {
      titulo: "Calculadora",
      numero_1: null,
      numero_2: null,
      mensaje: '',
      resultado: ''
    };
  },
  methods: {
    sumar(numero_1, numero_2) {
      console.log("Sumar");
      console.log("Concatenado: ", (numero_1+numero_2))
      this.resultado = parseFloat(numero_1) + parseFloat(numero_2)
    },

    //Construir el método 'multiplicar' SIN recibir parámetros
    multiplicar(){
        this.resultado = parseFloat(this.numero_1) * parseFloat(this.numero_2)
    },
    dividir(){
        this.resultado = parseFloat(this.numero_1) / parseFloat(this.numero_2)
    },
    restar(){
        this.resultado = parseFloat(this.numero_1) - parseFloat(this.numero_2)
    },
    seno(){
        this.resultado = Math.sin( parseFloat(this.numero_1) )
    },
    //Joseph Camilo
    getRandom(){
        this.numero_1 = parseInt(Math.random() * 100);
        this.numero_2 = Math.random();
    }

  },
  created: () => {
    console.log("componente calculadora creada");
  },
};
</script>

<style>
</style>
